Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039799
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-12-13 14:252018-12-17 20:39
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision8863172bda3f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039799: Cannot execute payment if role doesn't have access to business partner organization and p method defined as automatic withdrawn

DescriptionCannot execute payment if role doesn't have access to business partner organization and payment method is defined as automatic withdrawn
Steps To ReproduceAs group admin role:
   Create a new payment method
      Payment Out Allowed: Y
      Automatic Withdrawn: Y
      Execution Type: Automatic
      Execution Process: Simple Execution Process
      Deferred: Y
   Add it to Cuenta de Banco Financial Account
   Create a new manual role
   Assign F&B España, S.A., Region Norte and Region Sur organizations to it
   Assign Payment Out, Purchase Invoice, Financial Account windows to it
   Assign it to Openbravo user
   Create a Business Partner in F&B International Group
   Set it as Vendor
   Assign previously created Payment method to it

Log in with that role
   Create a purchase invoice for that BP in Region Norte
   Create a purchase invoice for that BP in Region Sur
   Create a Payment Out for that BP in España S.A.
   Add the previously created invoices and complete it
   Execute the payment
   Check the following error is raised:
      @CODE=@Organization 19404EAD144C49A0AF37D54377CF452D of object (BusinessPartner(...) (name: ...)) is not present in OrganizationList [E443A31992CB4635AFCAEABE7183CE85, B843C30461EA4501935CB1D125C9C25A, DC206C91AA6A4897B44DA897936E0EC3]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108597)
AtulOpenbravo (developer)
2018-12-14 08:53

1. Login as group admin role:
2. Create a new payment method
      Payment Out Allowed: Y
      Automatic Withdrawn: Y
      Execution Type: Automatic
      Execution Process: Simple Execution Process
      Deferred: Y
3. Add it to Cuenta de Banco Financial Account.
4. Create a new manual role.
   Assign F&B España, S.A., Region Norte and Region Sur organizations to it.
   Assign Payment Out, Purchase Invoice, Financial Account windows to it.
   Assign it to Openbravo user.
5. Create a Business Partner in F&B International Group.
   Set it as Vendor.
   Assign previously created Payment method to it.

6. Log in with the created role.
7. Create a purchase invoice for that BP in Region Norte.
8. Create a purchase invoice for that BP in Region Sur.
9. Create a Payment Out for that BP in España S.A.
10. Add the previously created invoices and complete it.
11. Execute the payment.

Realize that payment is executed successfully.
(0108613)
hgbot (developer)
2018-12-14 14:17

Repository: erp/devel/pi
Changeset: 8863172bda3f96b72485e3e7eb8c26eb397fd947
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Dec 14 10:46:55 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8863172bda3f96b72485e3e7eb8c26eb397fd947 [^]

Fixes Issue 39799:Cannot execute payment if role doesn't have
access to business partner organization and p method defined
as automatic withdrawn

** Use adminmode() instead of adminmode(true) so that client
org check is avoided.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
---
(0108614)
Sandrahuguet (developer)
2018-12-14 14:18

Code review + testing OK
(0108635)
hgbot (developer)
2018-12-17 12:59

Repository: erp/devel/pi
Changeset: 9f06f79b75a97f3f3bf52b9f7a2a0a6062df7292
Author: Sandra Huguet <sandra.huguet <at> openbravo.com>
Date: Mon Dec 17 12:54:18 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9f06f79b75a97f3f3bf52b9f7a2a0a6062df7292 [^]

related to issue 39799 set the boolean argument

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ExecutePayment.java
---
(0108639)
hudsonbot (developer)
2018-12-17 13:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5420c0828280 [^]
Maturity status: Test
(0108655)
hudsonbot (developer)
2018-12-17 20:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/79c941a6a880 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-12-13 14:25 ngarcia New Issue
2018-12-13 14:25 ngarcia Assigned To => Triage Finance
2018-12-13 14:25 ngarcia Modules => Core
2018-12-13 14:25 ngarcia Triggers an Emergency Pack => No
2018-12-13 14:25 ngarcia Issue Monitored: networkb
2018-12-13 15:29 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2018-12-14 08:53 AtulOpenbravo Status new => scheduled
2018-12-14 08:53 AtulOpenbravo Note Added: 0108597
2018-12-14 14:17 hgbot Checkin
2018-12-14 14:17 hgbot Note Added: 0108613
2018-12-14 14:17 hgbot Status scheduled => resolved
2018-12-14 14:17 hgbot Resolution open => fixed
2018-12-14 14:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8863172bda3f96b72485e3e7eb8c26eb397fd947 [^]
2018-12-14 14:18 Sandrahuguet Review Assigned To => Sandrahuguet
2018-12-14 14:18 Sandrahuguet Note Added: 0108614
2018-12-14 14:18 Sandrahuguet Status resolved => closed
2018-12-14 14:18 Sandrahuguet Fixed in Version => 3.0PR19Q1
2018-12-17 12:59 hgbot Checkin
2018-12-17 12:59 hgbot Note Added: 0108635
2018-12-17 13:47 hudsonbot Checkin
2018-12-17 13:47 hudsonbot Note Added: 0108639
2018-12-17 20:39 hudsonbot Checkin
2018-12-17 20:39 hudsonbot Note Added: 0108655


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker